
QGIS Application - Bug report #14697

Opening kmz file causes QGIS to crash

2016-04-18 12:48 AM - Radim Machu

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22661

Description

Attached KMZ file crashes QGIS when added on Windows.

KMZ comes from Locus Free

If I imported it into Google Maps, it works with no troubles:

See https://www.google.com/maps/d/edit?mid=zBM9HwEVo5h4.keO7zlvc6I0s&#38;usp=sharing

Dump file shows not so much information readable for me:

Loading Dump File [C:\\Users\\Hostetin\\AppData\\Local\\Temp\\qgis-20160418-083052-6288-8848-ea85bef.dmp]

User Mini Dump File: Only registers, stack and portions of memory are available

Symbol search path is: srv*

Executable search path is: 

Windows 7 Version 7601 (Service Pack 1) MP (8 procs) Free x64

Product: WinNt, suite: SingleUserTS

Machine Name:

Debug session time: Mon Apr 18 08:30:53.000 2016 (UTC + 2:00)

System Uptime: not available

Process Uptime: 0 days 0:00:32.000

................................................................

................................................................

................................................................

................................................................

................................................................

................................................................

.

This dump file has an exception of interest stored in it.

The stored exception information can be accessed via .ecxr.

(1890.2290): Access violation - code c0000005 (first/second chance not available)

ntdll!ZwGetContextThread+0xa:

00000000`7789c80a c3              ret

History

#1 - 2016-04-19 10:05 AM - Anita Graser

- Affected QGIS version changed from 2.14.1 to master

Confirmed in master and with unzipped KML
https://www.google.com/maps/d/edit?mid=zBM9HwEVo5h4.keO7zlvc6I0s&#38;usp=sharing


#2 - 2016-04-28 02:37 PM - Saber Razmjooei

- Status changed from Open to Feedback

The problem is definitely with the OGR driver.

If you open OSGeo4W shell with gdal 2.0.2 and run ogrinfo -al doc.kml it will come up with an error message.

If you run it with older versions of ogr (1.11) it runs fine.

#3 - 2016-04-28 02:45 PM - Saber Razmjooei

- Status changed from Feedback to Open

#4 - 2016-05-19 06:27 AM - Even Rouault

- Target version deleted (Version 2.14)

- Status changed from Open to Closed

Was a OGR bug (actually rather a libkml one IMHO). Fixed per https://trac.osgeo.org/gdal/ticket/6518

Files

crash.kmz 9.15 KB 2016-04-17 Radim Machu
